开启Laravel对PHP8的支持

2022-05-15 0 1,002

下面由Laravel框架教程栏目给大家介绍如何开启 Laravel 对 PHP8 的支持,希望对需要的朋友有所帮助!

开启Laravel对PHP8的支持

PHP 8已经官方发布了! 我们一直在努力地为所有我们的库提供支持,以便使用Laravel轻松升级到PHP 8。

首先,请确保您使用的是最新版本的Laravel 6、7或8,以获得PHP 8的支持。 然后确保您使用的是Laravel提供的任何第一方软件包的最新版本,例如Passport,Cashier,Dusk等。

您还需要在composer.json文件中更新几个常用的依赖项:

PHP 更新到 php:^8.0Faker 更新到 fakerphp/faker:^1.9.1PHPUnit 更新到 phpunit/phpunit:^9.3

最后,运行 composer update 去更新其他的软件包。确保在更新生产之前测试您的应用程序。这就是PHP 8!享受PHP 8吧!

PS: 我们仍在努力为Scout和Nexmo Notification Channel提供PHP 8支持。我们希望这很快就会到来。

原文地址:https://blog.laravel.com/laravel-php-8-support

译文地址:https://learnku.com/laravel/t/52822

收藏 (0) 打赏

感谢您的支持,我会继续努力的!

打开微信/支付宝扫一扫,即可进行扫码打赏哦,分享从这里开始,精彩与您同在
点赞 (0)

【声明:根据2013年1月30日《计算机软件保护条例》2次修订第17条规定: 为了学习和研究软件内含的设计思想和原理,通过安装、显示、传输或者存 储软件等方式使用软件的,可以不经软件著作权人许可,不向其支付报酬! 鉴于此,也希望大家按此说明研究软件!】
本站所有源码尽量保证原汁原味,如有特殊情况会作出声明及标注,网站资源不做任何二次加密(原版加密除外,不影响程序使用的不会做解密处理),方便您更好的学习参考。 在您的能力范围内,为了大环境的良性发展,请尽可能的选择正版资源。如若本站内容侵犯了原著者的合法权益,可联系我们进行处理。

即刻码站__国内靠谱的站长资源下载平台 php教程 开启Laravel对PHP8的支持 https://www.jike1995.com/37091.html

常见问题
  • 本站所有资源版权均属于原作者所有,这里所提供资源均只能用于参考学习用,请勿直接商用。若由于商用引起版权纠纷,一切责任均由使用
查看详情
  • 最常见的情况是下载不完整: 可对比下载完压缩包的与网盘上的容量,若小于网盘提示的容量则是这个原因。这是浏览器下载的bug,建议用百度
查看详情

相关文章

发表评论
暂无评论
官方客服团队

为您解决烦忧 - 24小时在线 专业服务